#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		name1		%(echo %{name} | cut -d '-' -f2)
%define		name2		%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	python3-pytest-asyncio
Version		:	0.23.6
Release		:	17.0.10.rel%{?dist}
Summary		:	Thin-wrapper around the mock package for easier use with py.test
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache-2.0
URL		:	https://github.com/pytest-dev/pytest-asyncio

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python-sortedcontainers
BuildRequires	:	python-attrs
BuildRequires	:	python3
BuildRequires	:	python3-hypothesis
BuildRequires	:	python3-pytest
#BuildRequires	:	python3-pytest-trio

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
pytest-asyncio is a pytest plugin.
It facilitates testing of code that uses the asyncio library.

Specifically, pytest-asyncio provides support for coroutines
as test functions. This allows users to await code inside
their tests.
For example, the following code is executed as a test
item by pytest:

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{name1}_%{name2}/py.typed
%{python3_sitelib}/%{name1}_%{name2}/*.py
%{python3_sitelib}/%{name1}_%{name2}/__pycache__/*.pyc
%{python3_sitelib}/%{name1}_%{name2}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	-m installer					\
	--destdir=tmp_install				\
	dist/*.whl					\

#PYTHONPATH="$PWD/tmp_install/%{python3_sitelib}:$PYTHONPATH:$PWD/tests" pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
